Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.addressing
Interface AddressingConstants.Final

Enclosing interface:
  AddressingConstants

    public static interface AddressingConstants.Final

Field Summary
`static java.lang.String` | `FAULT_ADDRESSING_DESTINATION_UNREACHABLE_REASON`
`static java.lang.String` | `FAULT_ADDRESSING_HEADER_REQUIRED`
`static java.lang.String` | `FAULT_ADDRESSING_HEADER_REQUIRED_REASON`
`static java.lang.String` | `FAULT_HEADER_DETAIL`
`static java.lang.String` | `FAULT_HEADER_PROB_HEADER`
`static java.lang.String` | `FAULT_HEADER_PROB_HEADER_QNAME`
`static java.lang.String` | `FAULT_HEADER_PROB_IRI`
`static java.lang.String` | `FAULT_INVALID_CARDINALITY`
`static java.lang.String` | `FAULT_INVALID_HEADER`
`static java.lang.String` | `FAULT_INVALID_HEADER_REASON`
`static java.lang.String` | `FAULT_ONLY_ANONYMOUS_ADDRESS_SUPPORTED`
`static java.lang.String` | `FAULT_ONLY_NON_ANONYMOUS_ADDRESS_SUPPORTED`
`static java.lang.String` | `FAULT_PROBLEM_ACTION_NAME`
`static javax.xml.namespace.QName` | `QNAME_INVALID_HEADER`
`static javax.xml.namespace.QName` | `QNAME_PROBLEM_HEADER`
`static javax.xml.namespace.QName` | `QNAME_WSA_FROM`
`static javax.xml.namespace.QName` | `QNAME_WSA_HEADER_DETAIL`
`static javax.xml.namespace.QName` | `QNAME_WSA_MESSAGE_ID`
`static javax.xml.namespace.QName` | `QNAME_WSA_RELATES_TO`
`static javax.xml.namespace.QName` | `QNAME_WSA_REPLY_TO`
`static javax.xml.namespace.QName` | `QNAME_WSA_TO`
`static javax.xml.namespace.QName` | `WSA_ADDRESS`
`static java.lang.String` | `WSA_ANONYMOUS_URL`
`static java.lang.String` | `WSA_DEFAULT_METADATA_PREFIX`
`static java.lang.String` | `WSA_DEFAULT_RELATIONSHIP_TYPE`
`static javax.xml.namespace.QName` | `WSA_ENDPOINT_REFERENCE`
`static java.lang.String` | `WSA_FAULT_ACTION`
`static java.lang.String` | `WSA_INTERFACE_NAME`
`static java.lang.String` | `WSA_IS_REFERENCE_PARAMETER_ATTRIBUTE`
`static java.lang.String` | `WSA_METADATA`
`static java.lang.String` | `WSA_NAMESPACE`
`static java.lang.String` | `WSA_NONE_URI`
`static java.lang.String` | `WSA_ORIGINAL_METADATA_PREFIX`
`static java.lang.String` | `WSA_POLICIES`
`static java.lang.String` | `WSA_RELATES_TO_RELATIONSHIP_TYPE_DEFAULT_VALUE` Deprecated. use `WSA_DEFAULT_RELATIONSHIP_TYPE` instead.
`static java.lang.String` | `WSA_SERVICE_NAME_ENDPOINT_NAME`
`static java.lang.String` | `WSA_SOAP_FAULT_ACTION`
`static java.lang.String` | `WSA_TYPE_ATTRIBUTE_VALUE`
`static java.lang.String` | `WSAM_NAMESPACE`
`static javax.xml.namespace.QName` | `WSAW_ANONYMOUS`
`static java.lang.String` | `WSAW_NAMESPACE`
`static javax.xml.namespace.QName` | `WSAW_USING_ADDRESSING`

Field Detail

### WSA_NAMESPACE

    static final java.lang.String WSA_NAMESPACE

See Also:
  Constant Field Values

### WSAW_NAMESPACE

    static final java.lang.String WSAW_NAMESPACE

See Also:
  Constant Field Values

### WSAM_NAMESPACE

    static final java.lang.String WSAM_NAMESPACE

See Also:
  Constant Field Values

### WSA_RELATES_TO_RELATIONSHIP_TYPE_DEFAULT_VALUE

    static final java.lang.String WSA_RELATES_TO_RELATIONSHIP_TYPE_DEFAULT_VALUE

  Deprecated. use `WSA_DEFAULT_RELATIONSHIP_TYPE` instead.
  See Also:
    Constant Field Values

### WSA_IS_REFERENCE_PARAMETER_ATTRIBUTE

    static final java.lang.String WSA_IS_REFERENCE_PARAMETER_ATTRIBUTE

See Also:
  Constant Field Values

### WSA_ANONYMOUS_URL

    static final java.lang.String WSA_ANONYMOUS_URL

See Also:
  Constant Field Values

### WSA_NONE_URI

    static final java.lang.String WSA_NONE_URI

See Also:
  Constant Field Values

### WSA_FAULT_ACTION

    static final java.lang.String WSA_FAULT_ACTION

See Also:
  Constant Field Values

### WSA_SOAP_FAULT_ACTION

    static final java.lang.String WSA_SOAP_FAULT_ACTION

See Also:
  Constant Field Values

### WSA_TYPE_ATTRIBUTE_VALUE

    static final java.lang.String WSA_TYPE_ATTRIBUTE_VALUE

See Also:
  Constant Field Values

### WSA_SERVICE_NAME_ENDPOINT_NAME

    static final java.lang.String WSA_SERVICE_NAME_ENDPOINT_NAME

See Also:
  Constant Field Values

### WSA_POLICIES

    static final java.lang.String WSA_POLICIES

See Also:
  Constant Field Values

### WSA_METADATA

    static final java.lang.String WSA_METADATA

See Also:
  Constant Field Values

### WSA_DEFAULT_METADATA_PREFIX

    static final java.lang.String WSA_DEFAULT_METADATA_PREFIX

See Also:
  Constant Field Values

### WSA_ORIGINAL_METADATA_PREFIX

    static final java.lang.String WSA_ORIGINAL_METADATA_PREFIX

See Also:
  Constant Field Values

### WSA_INTERFACE_NAME

    static final java.lang.String WSA_INTERFACE_NAME

See Also:
  Constant Field Values

### WSA_DEFAULT_RELATIONSHIP_TYPE

    static final java.lang.String WSA_DEFAULT_RELATIONSHIP_TYPE

See Also:
  Constant Field Values

### FAULT_HEADER_PROB_HEADER_QNAME

    static final java.lang.String FAULT_HEADER_PROB_HEADER_QNAME

See Also:
  Constant Field Values

### FAULT_HEADER_PROB_HEADER

    static final java.lang.String FAULT_HEADER_PROB_HEADER

See Also:
  Constant Field Values

### FAULT_HEADER_PROB_IRI

    static final java.lang.String FAULT_HEADER_PROB_IRI

See Also:
  Constant Field Values

### FAULT_HEADER_DETAIL

    static final java.lang.String FAULT_HEADER_DETAIL

See Also:
  Constant Field Values

### FAULT_INVALID_HEADER

    static final java.lang.String FAULT_INVALID_HEADER

See Also:
  Constant Field Values

### FAULT_INVALID_HEADER_REASON

    static final java.lang.String FAULT_INVALID_HEADER_REASON

See Also:
  Constant Field Values

### FAULT_ADDRESSING_HEADER_REQUIRED

    static final java.lang.String FAULT_ADDRESSING_HEADER_REQUIRED

See Also:
  Constant Field Values

### FAULT_ADDRESSING_HEADER_REQUIRED_REASON

    static final java.lang.String FAULT_ADDRESSING_HEADER_REQUIRED_REASON

See Also:
  Constant Field Values

### FAULT_ADDRESSING_DESTINATION_UNREACHABLE_REASON

    static final java.lang.String FAULT_ADDRESSING_DESTINATION_UNREACHABLE_REASON

See Also:
  Constant Field Values

### FAULT_INVALID_CARDINALITY

    static final java.lang.String FAULT_INVALID_CARDINALITY

See Also:
  Constant Field Values

### FAULT_ONLY_ANONYMOUS_ADDRESS_SUPPORTED

    static final java.lang.String FAULT_ONLY_ANONYMOUS_ADDRESS_SUPPORTED

See Also:
  Constant Field Values

### FAULT_ONLY_NON_ANONYMOUS_ADDRESS_SUPPORTED

    static final java.lang.String FAULT_ONLY_NON_ANONYMOUS_ADDRESS_SUPPORTED

See Also:
  Constant Field Values

### FAULT_PROBLEM_ACTION_NAME

    static final java.lang.String FAULT_PROBLEM_ACTION_NAME

See Also:
  Constant Field Values

### WSAW_USING_ADDRESSING

    static final javax.xml.namespace.QName WSAW_USING_ADDRESSING

### WSAW_ANONYMOUS

    static final javax.xml.namespace.QName WSAW_ANONYMOUS

### WSA_ENDPOINT_REFERENCE

    static final javax.xml.namespace.QName WSA_ENDPOINT_REFERENCE

### WSA_ADDRESS

    static final javax.xml.namespace.QName WSA_ADDRESS

### QNAME_WSA_TO

    static final javax.xml.namespace.QName QNAME_WSA_TO

### QNAME_WSA_FROM

    static final javax.xml.namespace.QName QNAME_WSA_FROM

### QNAME_WSA_REPLY_TO

    static final javax.xml.namespace.QName QNAME_WSA_REPLY_TO

### QNAME_WSA_RELATES_TO

    static final javax.xml.namespace.QName QNAME_WSA_RELATES_TO

### QNAME_WSA_MESSAGE_ID

    static final javax.xml.namespace.QName QNAME_WSA_MESSAGE_ID

### QNAME_WSA_HEADER_DETAIL

    static final javax.xml.namespace.QName QNAME_WSA_HEADER_DETAIL

### QNAME_PROBLEM_HEADER

    static final javax.xml.namespace.QName QNAME_PROBLEM_HEADER

### QNAME_INVALID_HEADER

    static final javax.xml.namespace.QName QNAME_INVALID_HEADER

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.